Skip to main content
GET
/
v1
/
admin
/
assistant
/
get
/
{assistantId}
Get AI Assistant
curl --request GET \
  --url https://api.voice-agents.miraiminds.co/v1/admin/assistant/get/{assistantId} \
  --header 'workspace: <workspace>' \
  --header 'x-private-key: <api-key>' \
  --header 'x-public-key: <api-key>'
{
  "message": "Assistant fetched successfully",
  "data": {
    "_id": "69a57cdba3f3ab7e07cca1e4",
    "name": "My Abandoned Cart Assistant",
    "variant": {
      "type": "abandoned_cart",
      "config": {
        "inputSchema": [
          {
            "name": "id",
            "type": "string",
            "isRequired": false
          },
          {
            "name": "abandonedCheckoutUrl",
            "type": "string",
            "isRequired": true
          },
          {
            "name": "customer",
            "type": "object",
            "isRequired": true,
            "fields": [
              {
                "name": "firstName",
                "type": "string",
                "isRequired": true
              },
              {
                "name": "lastName",
                "type": "string",
                "isRequired": false
              },
              {
                "name": "email",
                "type": "string",
                "isRequired": false
              },
              {
                "name": "phone",
                "type": "string",
                "isRequired": false
              }
            ]
          },
          {
            "name": "totalDiscountSet",
            "type": "object",
            "isRequired": false,
            "fields": [
              {
                "name": "shopMoney",
                "type": "object",
                "isRequired": false,
                "fields": [
                  {
                    "name": "amount",
                    "type": "string",
                    "isRequired": true
                  }
                ]
              }
            ]
          },
          {
            "name": "subtotalPriceSet",
            "type": "object",
            "isRequired": true,
            "fields": [
              {
                "name": "shopMoney",
                "type": "object",
                "isRequired": true,
                "fields": [
                  {
                    "name": "amount",
                    "type": "string",
                    "isRequired": true
                  }
                ]
              }
            ]
          },
          {
            "name": "totalPriceSet",
            "type": "object",
            "isRequired": true,
            "fields": [
              {
                "name": "shopMoney",
                "type": "object",
                "isRequired": true,
                "fields": [
                  {
                    "name": "amount",
                    "type": "string",
                    "isRequired": true
                  }
                ]
              }
            ]
          },
          {
            "name": "lineItems",
            "type": "array",
            "isRequired": true,
            "fields": [
              {
                "name": "title",
                "type": "string",
                "isRequired": true
              },
              {
                "name": "quantity",
                "type": "number",
                "isRequired": true
              },
              {
                "name": "variant",
                "type": "object",
                "isRequired": true,
                "fields": [
                  {
                    "name": "id",
                    "type": "string",
                    "isRequired": true
                  },
                  {
                    "name": "title",
                    "type": "string",
                    "isRequired": true
                  }
                ]
              }
            ]
          },
          {
            "name": "note",
            "type": "string",
            "isRequired": false
          },
          {
            "name": "shippingAddress",
            "type": "object",
            "isRequired": true,
            "fields": [
              {
                "name": "country",
                "type": "string",
                "isRequired": true
              },
              {
                "name": "address1",
                "type": "string",
                "isRequired": true
              },
              {
                "name": "address2",
                "type": "string",
                "isRequired": false
              },
              {
                "name": "city",
                "type": "string",
                "isRequired": true
              },
              {
                "name": "zip",
                "type": "string",
                "isRequired": true
              },
              {
                "name": "province",
                "type": "string",
                "isRequired": true
              }
            ]
          }
        ]
      }
    },
    "agent": {
      "identity": {
        "name": "neha",
        "gender": "female",
        "voice": "neha"
      },
      "systemPrompt": ""
    },
    "icpContext": {
      "targetAgeGroups": [
        "millennials"
      ],
      "locationTiers": [
        "metro_urban"
      ],
      "language": "english",
      "targetAudience": [
        "female"
      ]
    },
    "callSettings": {
      "slots": [
        {
          "startTime": "10:00",
          "endTime": "17:30"
        }
      ],
      "maxCallDuration": 200,
      "concurrentCallCount": 5,
      "retryProtocol": {
        "maxAttemptsNoPickup": 2,
        "maxAttemptsLowEngagement": 1,
        "reAttemptPeriod": 300,
        "maxRescheduleCount": 1
      }
    },
    "analysisPlan": {
      "successCriteriaPlan": "Call is successful if customer commits to completing the purchase or schedules a callback",
      "summaryPlan": "Provide a concise summary of the conversation, customer objections, and the outcome",
      "callInsightPlan": {
        "callConnected": {
          "type": "boolean",
          "description": "You are a professional call status evaluator. Analyze the attached call recording and return true only if a live person answered and there was real two-way conversation. If the call went to voicemail, automated message, IVR, ring-tone, greeting, silence, or anything without a live response, return false. Output only true or false.",
          "required": true
        },
        "customerEngaged": {
          "type": "boolean",
          "description": "You are a professional conversation engagement evaluator. Analyze the attached call recording and return true only if the customer did not disconnect abruptly at the beginning and continued engaging in the conversation for at least a few meaningful exchanges; otherwise return false. Output only true or false.",
          "required": true
        }
      }
    },
    "knowledgeBase": {
      "documents": [
        {
          "url": "https://example.com/product-catalog.pdf",
          "title": "Product Catalog",
          "type": "pdf"
        }
      ],
      "faq": [
        {
          "question": "What is your return policy?",
          "answer": "We offer a 7-day return policy for unused items."
        }
      ]
    },
    "archivedAt": null,
    "createdAt": "2026-03-02T12:04:43.086Z",
    "timezone": "UTC"
  }
}

Authorizations

x-public-key
string
header
required
x-private-key
string
header
required

Headers

x-public-key
string
required
x-private-key
string
required
workspace
string
required

Path Parameters

assistantId
string
required

Response

Assistant fetched successfully

message
string
Example:

"Assistant fetched successfully"

data
object